
TYPO3.Flow - Bug # 31070

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: - Testing -
Created: 2011-10-18 Assigned To: Bastian Waidelich
Updated: 2011-11-10 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Symlink related Unit Tests fail on some Windows systems
Description

Depending on the system configuration and the current Windows Username, the PHP function sys_get_temp_dir() returns an
abbreviated path to the temporary directory.
Details: By default, this function returns C:\Windows\TEMP for me. But running the unit tests from CLI, it returns 
C:\Users\BWAIDEL~1\AppData\Local\Temp\ - That breaks our \TYPO3\FLOW3\Utitlity\Files::is_link() work around.

To fix this, we should use realpath(sys_get_temp_dir()) or tempnam() instead.

Associated revisions
Revision 60b45d7d - 2011-11-10 10:49 - Bastian Waidelich

[BUGFIX] Symlink related Unit Tests fail on some Windows systems

This replaces sys_get_temp_dir() by tempnam() in unit tests that
use symlinks to avoid them from failing on some Windows
environments.

Change-Id: I6e59ec224d6c3a3c6f62180be334d3b76d1d067d
Resolves: #31070
Release: 1.0, 1.1

Revision 4c9bcc0b - 2011-11-12 21:03 - Bastian Waidelich

[BUGFIX] Symlink related Unit Tests fail on some Windows systems

This replaces sys_get_temp_dir() by tempnam() in unit tests that
use symlinks to avoid them from failing on some Windows
environments.

Change-Id: I22bc69aed663caf8b1aa5939a8584c6f7be0a0f2
Fixes: #31070
Release: 1.0, 1.1

History
#1 - 2011-10-18 14:42 - Bastian Waidelich
- Subject changed from File based Unit Rests fail on some Windows systems to Symlink related Unit Tests fail on some Windows systems
#2 - 2011-10-18 14:43 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I6e59ec224d6c3a3c6f62180be334d3b76d1d067d has been pushed to the review server.
It is available at http://review.typo3.org/5967

#3 - 2011-10-18 15:07 - Mr. Hudson

Patch set 2 of change I6e59ec224d6c3a3c6f62180be334d3b76d1d067d has been pushed to the review server.
It is available at http://review.typo3.org/5967

#4 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#5 - 2011-11-10 10:46 - Mr. Hudson

Patch set 3 of change I6e59ec224d6c3a3c6f62180be334d3b76d1d067d has been pushed to the review server.
It is available at http://review.typo3.org/5967

#6 - 2011-11-10 10:49 - Mr. Hudson

Patch set 4 of change I6e59ec224d6c3a3c6f62180be334d3b76d1d067d has been pushed to the review server.
It is available at http://review.typo3.org/5967

#7 - 2011-11-10 11:06 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:60b45d7d1d9ea6e87dc4fc690183f281a50c286c.
